\version "2.11.65"

myStaffSize = #17

#(set-global-staff-size myStaffSize)

\paper {
  #(set-paper-size "letter")
%  #(define fonts
%       (make-pango-font-tree "URW Palladio L"
%                          "Nimbus Sans"
%                          "Luxi Mono"
%                           (/ myStaffSize 20)))
}

\header {
	title = \markup \pad-to-box #'(0 . 0) #'(0 . 20) "O Divine Redeemer"
  subtitle = "Anthem"
	composer = \markup \pad-to-box #'(0 . 0) #'(-10 . 0) "Charles Gounod (1818–1893)"
	copyright = \markup \pad-to-box #'(0 . 0) #'(0 . 10) \center-column {
    "Original source: Schirmer OC-3811"
    "This music is in the public domain."
    "www.musicbyandrew.ca"
  }
}

\include "odivine-defs.ily"


staffSoprano = \new Staff <<
	\set Staff.instrumentName="Soprano"
	\set Staff.midiInstrument="string ensemble 1"
	\new Voice = "sopranovoice" <<
    \global
    \sopranomusic
  >>
  \new Voice = "sopranovoicetwo" <<
    \sopranotwomusic
  >>
>>

staffAlto = \new Staff  {
	\set Staff.instrumentName="Alto"
	\set Staff.midiInstrument="string ensemble 1"
  \new Voice = "altovoice"	<<
    \global
    \altomusic
  >>
}

staffTenor = \new Staff  {
  \clef "treble_8"
	\set Staff.instrumentName="Tenor"
	\set Staff.midiInstrument="string ensemble 1"
	\new Voice = "tenorvoice" <<
    \global
    \tenormusic
  >>
}

staffBass = \new Staff  {
  \clef bass
	\set Staff.instrumentName="Bass"
	\set Staff.midiInstrument="string ensemble 1"
	\new Voice = "bassvoice" <<
    \global
    \bassmusic
  >>
}

pianostaff = \new PianoStaff {
  #(set-accidental-style 'piano 'PianoStaff)
  \set PianoStaff.instrumentName = #"Organ"
	\set PianoStaff.midiInstrument = #"acoustic grand"
	\set PianoStaff.connectArpeggios = ##t
	<<
		\context Staff = "RH" {  % Right hand 
			\set Staff.connectArpeggios = ##t
			<<
			\new Voice << \global \RightHandOne >>
			\new Voice \RightHandTwo
			>>
		}
		\context Staff = "LH" {  % Left hand
      \clef bass
			\set Staff.connectArpeggios = ##t
			<<
			\new Voice \LeftHandOne
			\new Voice << \global \LeftHandTwo >>
			>>
		}
	>>
}

vocals = <<
  \new ChoirStaff <<
    #(set-accidental-style 'modern 'ChoirStaff)
    
    \staffSoprano
    \new Lyrics = "lmelodySop" \lyricsto "sopranovoice" \sopranowords
    \new Lyrics = "lmelodySopTwo" \lyricsto "sopranovoicetwo" \sopranotwowords
    
    \staffAlto
    \new Lyrics = "lmelodyAlt" \lyricsto "altovoice" \altowords
    
    \staffTenor
    \new Lyrics = "lmelodyTen" \lyricsto "tenorvoice" \tenorwords
    
    \staffBass
    \new Lyrics = "lmelodyBas" \lyricsto "bassvoice" \basswords
  >>
>>

\book {
  \score {
    <<
      \vocals
      \pianostaff
    >>
  
    \midi {
      \context {
      \Score
      tempoWholesPerMinute = #(ly:make-moment 80 4)
      }
    }
    
    \layout {
      \context {
        \RemoveEmptyStaffContext
        \override VerticalAxisGroup #'remove-first = ##t
      }
    }
  }
}

\book {
  \bookOutputSuffix "vocals"
  \score {
    <<
    \set Score.skipBars = ##t
    \vocals
    >>

    \layout {
      \context {
        \RemoveEmptyStaffContext
        \override VerticalAxisGroup #'remove-first = ##t
      }
    }
  }
}

\book {
  \bookOutputSuffix "organ"
  \header {
	title = "O Divine Redeemer"
  subtitle = "Anthem"
	composer = "Charles Gounod (1818–1893)"
	copyright = \markup \center-column {
    "Original source: Schirmer OC-3811"
    "This music is in the public domain."
    "www.musicbyandrew.ca"
    }
  }
  \score {
    \pianostaff
  }
}
